import type { Ace } from 'ace-builds';
import type { CompletionWithServerInfo } from '../types';
import { StageAutoCompleter } from './stage-autocompleter';
export declare function getScopeTokensBefore(session: Ace.EditSession, pos: Ace.Position): Generator<Ace.Token, void, unknown>;
declare class AggregationAutoCompleter implements Ace.Completer {
    version: string;
    textCompleter: Ace.Completer;
    fields: CompletionWithServerInfo[];
    stageAutocopmleter: StageAutoCompleter;
    constructor(version: string, textCompleter: Ace.Completer, fields: CompletionWithServerInfo[]);
    updateFields(fields: CompletionWithServerInfo[]): void;
    getCompletions: Ace.Completer['getCompletions'];
}
export { AggregationAutoCompleter };
//# sourceMappingURL=aggregation-autocompleter.d.ts.map