import type { Ace } from 'ace-builds';
export * from './base-editor';
export { ValidationAutoCompleter } from './ace/validation-autocompleter';
export { QueryAutoCompleter } from './ace/query-autocompleter';
export { StageAutoCompleter } from './ace/stage-autocompleter';
export { AggregationAutoCompleter } from './ace/aggregation-autocompleter';
export declare type AceEditor = Ace.Editor;
export declare type AceAnnotation = Ace.Annotation;
export type { CompletionWithServerInfo } from './types';
export { InlineEditor } from './inline-editor';
export { prettify } from './prettify';
export type { FormatOptions } from './prettify';
export { Editor } from './multiline-editor';
//# sourceMappingURL=index.d.ts.map