"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InlineEditor = void 0;
const react_1 = __importDefault(require("react"));
const base_editor_1 = require("./base-editor");
const InlineEditor = ({ options, ...props }) => {
    const inlineEditorOptions = {
        maxLines: 10,
        ...options,
        minLines: 1,
        showGutter: false,
        highlightActiveLine: false,
        highlightGutterLine: false,
    };
    return (react_1.default.createElement(base_editor_1.BaseEditor, { options: inlineEditorOptions, editorClassName: "inline-editor", ...props }));
};
exports.InlineEditor = InlineEditor;
//# sourceMappingURL=inline-editor.js.map