import type { IconGlyph } from '@mongodb-js/compass-components';
import type { Ace } from 'ace-builds';
import React from 'react';
import type { EditorProps as BaseEditorProps } from './base-editor';
declare type CustomActionItem = {
    icon: IconGlyph;
    action: string;
    label: string;
};
declare type EditorProps = Omit<BaseEditorProps, 'editorClassName'> & {
    copyable?: boolean;
    formattable?: boolean;
    customActions?: CustomActionItem[];
    onAction?: (editor: Ace.Editor | undefined, action: string) => void;
};
declare const MultilineEditor: React.FunctionComponent<EditorProps>;
export { MultilineEditor as Editor };
//# sourceMappingURL=multiline-editor.d.ts.map